spring:
  application:
    name: hotelsearch
  data:
    mongodb:
      host: localhost
      port: 27017
      database: avoristech
      # username: admin
      # password: password
  kafka:
    producer:
      bootstrap-servers: 127.0.0.1:9092
      group-id: default_group
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      bootstrap-servers: 127.0.0.1:9092
      group-id: default_group
      auto-offset-reset: earliest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer

# Kafka
auto:
  create:
    topics:
      enable: true

topic:
  name:
    producer: hotel_availability_searches
    consumer: hotel_availability_searches

mongock:
  change-logs-scan-package:
    package com.ggc.hotelsearch.config

# Logging levels
logging:
  level:
    org:
      springframework:
        data: DEBUG
